/** 
 *   Site testing for SKA candidate.
 *
 *   (c) Copyright 2005 Federico Bareilles <fede@iar.unlp.edu.ar>,
 *   Instituto Argentino de Radio Astronomia (IAR).
 *
 *   This program is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU General Public License as
 *   published by the Free Software Foundation; either version 2 of
 *   the License, or (at your option) any later version.
 *     
 *   The author does NOT admit liability nor provide warranty for any
 *   of this software. This material is provided "AS-IS" in the hope
 *   that it may be useful for others.
 *
 **/

#define _GNU_SOURCE


#include <stdio.h>
#include <getopt.h>
#include "thermometer.h"
#include "my_stdio.h"



int main(int argc, char * const argv[])
{
	int fd;
	int op;

#ifdef VERBOSE_MODE
	verbose_flag = PERR;
#endif
	while  ((op = getopt(argc, argv, "vh")) != EOF)
		switch( op ){
#ifdef VERBOSE_MODE
		case 'v':
			verbose_flag = (verbose_flag << 1) | 1;
			break;
#endif
		case 'h':
		default:
			printf("Use %s [-v (incremental)][-h]\n", 
			       argv[0]);
			exit(-1);
		}

	fd = thermometer_open(THERMOMETER_DEVICE);

	printf("Temperature: %5.1f\n", thermometer_get(fd));

	thermometer_close(fd);

	return 0;
}
